@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400&display=swap');

:root {
	--violet: #e50a58;
}

body {
	margin: 0;
	font-family: 'Montserrat', sans-serif;
	color: white;
}
a {
	text-decoration: none;
}

header {
	background-color: #130f17;
}

header nav {
	/*Pour aligner les éléments*/
	display:  flex;
	/*Passer à la ligne lorsque la résolution de l'écran est trop petite*/
	flew-wrap:  wrap;
	/*Mettre un espace entre le texte et les boutons*/
	justify-content: space-between;
	/*Fixer la barre de navigation tout en haut de la page lorsqu'on scroll*/
	position: sticky;
	top: 0px;

	/*Mettre un fond à la barre de navigation (même couleur que background de la page pour faire un bandeau qui passe au dessus des éléments*/
	background-color: rgba(19, 15, 23, 0.5);
	
	/*Marge intérieure*/
	padding-left: 30px;
	padding-top: 30px;
	padding-right: 30px;
	padding-bottom: 20px;
	nav-index: 10;
}

header nav h1 {
	margin: 0;
	text-transform: uppercase;
	color: var(--violet);
}
header nav .right {
	display: flex;
	align-items: center;
	
}
header nav .right a {
	margin: 0 15px 0 0;
	color: #ccc;
}
header nav .right a:hover {
	color: white;
	cursor: pointer;
    padding-bottom:  10px;
}

header nav .h1{
	color: #e50a57c3;
	margin 0 15px 0 0;
	font-size: 25px;
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bolder;

}
header nav .h1:hover{
	color: var(--violet);
	cursor:pointer;

}


.presentation {
	padding: 30px 5%;
	margin-top: 0%;
	display: flex;
	align-items: center;
	justify-content: space-between;
	
}
.presentation .product-presentation {
	width: 100%;
	flex-shrink: 3;

}
.presentation .product-presentation h1 {
	margin: 0;
	font-size: 4vw;
	width: 80%;
	color:#e50a58;
}
.presentation .product-presentation p {
	font-weight: 300;
	color: #e9e9e9;
}
.presentation .product-presentation button {
	margin-top: 20px;
	padding: 15px 20px;
	font-size: 15px;
	border-radius: 10px;
	border: none;
	outline: none;
	cursor: pointer;
}
.presentation .image-presentation img {
	width: 100%;
}
.first{
	background: linear-gradient(#130f17, #20212e, #b1336b);
}

.first .product-presentation button {
	background-color: var(--violet);
	color: white;
	border: 1px solid var(--violet);
	transition: background-color 0.5s, color 0.5s;
}
.first .product-presentation button:hover {
	background-color: inherit;
	color: var(--violet);
}
.first .product-presentation .small-images {
	margin-top: 30px;
	display: flex;
	flex-wrap: wrap;
	align-items: center;
}
.first .product-presentation .small-images .small {
	padding: 20px;
	background-color: #33314d;
	margin: 0 15px 15px 0;
	border-radius: 20px;
	transition: filter 0.5s;
}
.first .product-presentation .small-images .small:hover {
	filter: brightness(50%);
}
.first .product-presentation .small-images .small img {
	width: 120px;
}

.second {
	margin: 0;
	background-color: #13181d;
}
.second .product-presentation .new {
	color: var(--violet);
}
.second .product-presentation button {
	background-color: inherit;
	border: 1px solid var(--violet);
	color: var(--violet);
	transition: background-color 0.5s, color 0.5s;
}
.second .product-presentation button:hover {
	background-color: var(--violet);
	color: white;
}

footer {
	margin: 0;
	padding: 20px;
	background-color: #130f17;
	display: flex;
	flex-wrap: wrap;
	justify-content: space-around;
}
footer h3 {
	color: var(--violet);
}
footer a {
	cursor: pointer;
	color: white;
}
footer a:hover {
	color: #e50a58;
	cursor: pointer;
}

@media screen and (max-width: 640px) {
	nav .right a {
		display: none;
	}

	.presentation .product-presentation h1 {
		font-size: 2em;
	}
	.presentation .image-presentation {
		display: none;
	}
	.first .product-presentation .small-images .small img {
		width: 90px;
	}

	footer {
		justify-content: flex-start;
	}
	footer .column {
		width: 80%;
		
	}
}
